Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Delete Version Bypassing Governance

Delete an object version that is still within its retention period. Restricted to the project owner and project admins. A version under a legal hold cannot be deleted this way — remove the hold first.

DELETE/datasets/{Dataset_Id}/objects/bypass-governance/

Path parameters

  • Dataset_IdPathintegeroptional

    dataset id

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

  • object_nameQuerystringrequired
    exampletrain/images/example.png
  • version_idQuerystringrequired
    example7e1a9f0c-0f6f-4a2a-9f1e-2b7c1d4e5a6b

Responses

No documented responses.